Name:           at-spi2-atk
Version:        0.3.2
Release:        1%{?dist}
Summary:        A GTK+ module that bridges ATK to D-Bus at-spi

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
#VCS: git:git://git.gnome.org/at-spi-atk
Source0:        http://download.gnome.org/sources/at-spi2-atk/0.3/%{name}-%{version}.tar.bz2

BuildRequires:  at-spi2-core
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  atk-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool

Requires:       at-spi2-core
Requires:       gtk2

BuildRequires:  GConf2
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.


%prep
%setup -q

%build
%configure --enable-relocate
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/at-spi-dbus/modules/libatk-bridge.la

%find_lang %{name}


%pre
%gconf_schema_prepare at-spi2


%post
%gconf_schema_upgrade at-spi2


%preun
%gconf_schema_remove at-spi2


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libdir}/gtk-2.0/modules/at-spi-dbus/modules/libatk-bridge.so
%dir %{_datadir}/gnome/autostart
%{_datadir}/gnome/autostart/atk-bridge.desktop
%{_sysconfdir}/gconf/schemas/at-spi2.schemas


%changelog
* Fri May 28 2010 Matthias Clasen <mclasen@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Sat May 15 2010 Matthias Clasen <mclasen@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Tue Mar 30 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.8-1
- Update to 0.1.8

* Sat Feb 20 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.7-1
- Update to 0.1.7

* Wed Feb 10 2010 Tomas Bzatek <tbzatek@redhat.com> - 0.1.6-1
- Update to 0.1.6

* Sun Jan 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Tue Dec 22 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Sat Dec  5 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.3-1
- Initial packaging
